Subject: Re: [PATCH v3] powerpc: spinlock: Fix spin_unlock_wait()

From: Michael Ellerman <[email-masked]>
Date: Wed, 08 Jun 2016 23:49:20 +1000

On Wed, 2016-06-08 at 14:35 +0200, Peter Zijlstra wrote:
> On Wed, Jun 08, 2016 at 09:20:45PM +1000, Michael Ellerman wrote:
> > On Mon, 2016-06-06 at 16:46 +0200, Peter Zijlstra wrote:
> > > On Mon, Jun 06, 2016 at 10:17:25PM +1000, Michael Ellerman wrote:
> > > > On Mon, 2016-06-06 at 13:56 +0200, Peter Zijlstra wrote:
> > > > > On Mon, Jun 06, 2016 at 09:42:20PM +1000, Michael Ellerman wrote:
> > > > > 
> > > > > Why the move to in-line this implementation? It looks like a fairly big
> > > > > function.
> > > > 
> > > > I agree it's not pretty.
> > > 
> > > > I'm not beholden to v3 though if you hate it.
> > > 
> > > I don't mind; its just that I am in a similar boat with qspinlock and
> > > chose the other option. So I just figured I'd ask :-)
> > 
> > OK. I'll go with inline and we'll see which version gets "cleaned-up" by a
> > janitor first ;)
> 
> Ok; what tree does this go in? I have this dependent series which I'd
> like to get sorted and merged somewhere.

Ah sorry, I didn't realise. I was going to put it in my next (which doesn't
exist yet but hopefully will early next week).

I'll make a topic branch with just that commit based on rc2 or rc3?

cheers